Mettre à jour Garradin

Il est conseillé de faire une sauvegarde avant de faire une mise à jour (et de faire des sauvegardes régulièrement même quand aucune mise à jour n'est nécessaire).

Mise à jour automatisée (beta !)

Depuis la version 1.1.16 il est possible de mettre à jour son installation en utilisant la procédure automatisée.

Rendez-vous dans le menu Configuration. Si une nouvelle version est disponible, Garradin vous proposera de l'installer :

Bouton pour mise à jour

Note : si une nouvelle version est sortie mais que Garradin ne vous propose pas encore la mise à jour c'est qu'il faut attendre quelques jours (maximum 5 jours), c'est fait exprès pour étaler les mises à jour, que toutes les associations ne se mettent pas à jour au même moment.

Dans l'écran suivant, sélectionner la version à installer après avoir vérifié les notes de version (au cas où il soit nécessaire de faire une manipulation manuelle avant ou après la mise à jour), et cliquer le bouton Télécharger.

L'écran suivant vous propose de vérifier les changements qui seront apportés. Si vous avez modifié le code de Garradin, vos modifications seront écrasées.

Revue des changements

Cochez la case et confirmez, la mise à jour sera lancée, et normalement tout devrait bien se passer :-)

Note : si vous désirez ne pas permettre aux utilisateurs (administrateurs) d'utiliser cette mise à jour automatisée, positionnez la constante ENABLE_UPGRADES à false dans la configuration.

Mise à jour manuelle

  • Télécharger la nouvelle version depuis la page d'accueil
  • Décompresser la nouvelle version dans un nouveau répertoire
  • Recopier dans ce répertoire le fichier association.sqlite (et, jusqu'à la version 1.1 le répertoire www/squelettes)
  • Faire pointer le sous-domaine vers le nouveau répertoire
  • Se rendre sur le sous-domaine de l'installation, la mise à jour de la base de données sera faite automatiquement.
  • Conseillé, après vérification que tout fonctionne correctement : supprimer l'ancien répertoire

Il est aussi possible de décompresser la nouvelle version dans le répertoire de l'ancienne version mais un risque existe que des fichiers aient été déplacés ou renommés d'une version à l'autre et qu'il reste donc des fichiers de l'ancienne version, avec un risque de bug ou faille de sécurité.

Mise à jour depuis une version inférieure à 0.9.8

Si votre version installée de Garradin est plus ancienne que la 0.9.8, il est obligatoire de mettre à jour vers la version 0.9.8 avant de procéder à la mise à jour vers la version 1.0.0 ou supérieure.

Mise à jour depuis une version inférieure à 0.7

Si votre version installée de Garradin est plus ancienne que la 0.7, il est obligatoire de mettre à jour vers la version 0.8.5 avant de procéder à la mise à jour vers la version 0.9.0 ou supérieure.

Donc pour mettre à jour vers une version 1.0 ou supérieure il faudra d'abord mettre jour vers 0.8.5 puis 0.9.8 et enfin 1.0.


Attachments: